dev-ruby/
semantic_puppet

Library of tools for working with Semantic Versions and module dependencies

https://github.com/puppetlabs/semantic_puppet

Pkgcheck Warnings

  • All Versions
    • UnstableOnly
      for arches: [ arm, hppa ], all versions are unstable: [ 1.0.2, 1.0.3, 1.0.4 ]
  • 1.0.4
    • StableRequest
      slot(0) no change in 71 days for unstable keywords: [ ~amd64, ~ppc, ~ppc64, ~x86 ]
  • 1.0.3
    • RedundantVersion
      slot(0) keywords are overshadowed by version: 1.0.4
  • 1.0.2
    • DeprecatedEapi
      uses deprecated EAPI 6
    • PotentialStable
      slot(0), stabled arches: [ amd64, ppc, ppc64, x86 ], potentials: [ ~arm, ~hppa ]

Pkgcheck is used regularly to generate QA reports. Pkgcheck is a pkgcore-based QA utility for ebuild repos.